<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/shape_round_loading"
    android:gravity="center">

    <RelativeLayout
        android:id="@+id/rl"
        android:layout_width="wrap_content"
        android:layout_height="110dp"
        android:minWidth="110dp">

        <RelativeLayout
            android:id="@+id/layout_icon"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="24dp">

            <ProgressBar
                android:id="@+id/loading_bar"
                style="@style/progressbar_loading"
                android:layout_width="36dp"
                android:layout_height="36dp" />

            <ImageView
                android:id="@+id/img_success"
                android:layout_width="36dp"
                android:layout_height="36dp"
                android:src="@drawable/icon_loading_suc"
                android:visibility="gone" />

            <ImageView
                android:id="@+id/img_fail"
                android:layout_width="36dp"
                android:layout_height="36dp"
                android:src="@drawable/icon_loading_fail"
                android:visibility="gone" />
        </RelativeLayout>

        <TextView
            android:id="@+id/loading_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/layout_icon"
            android:layout_centerHorizontal="true"
            android:layout_marginLeft="10dp"
            android:layout_marginTop="11dp"
            android:layout_marginRight="10dp"
            android:ellipsize="end"
            android:gravity="center"
            android:maxLines="3"
            android:text="请稍等..."
            android:textColor="#ffffffff"
            android:textSize="14sp" />
    </RelativeLayout>

</LinearLayout>